.lable-data{
	font-size: 0.85rem;
}

.lable-data span{
	font-size: 0.80rem;
	font-weight: 600;
	color: #00131e;
}
.text-pink{
	color: #7e06be!important;
}
.underline-text{
	display:inline-block; 
	min-width:150px; 
	border-bottom: 1px solid #000;
	text-align: center;
}


.bi-spin {
  display: inline-block;
  animation: spin 1s linear infinite;
}
@keyframes spin {
  100% { transform: rotate(360deg); }
}

.text-dark-warning{
	color: #ba8300!important;
}

.x-datatable {
    font-family: "Segoe UI", Arial, sans-serif;
    font-size: 14px;
    border-left: 1px solid #dee2e6;
    border-right: 1px solid #dee2e6;
    border-top: 1px solid #dee2e6;  
}

.x-datatable thead th {
	background-color: #0f4d6e;
	color: #ffffff;
	font-weight: 500;
}

.x-datatable tbody tr:nth-child(even) {
  background-color: #ffffff; 
  vertical-align: middle;
}
.x-datatable tbody tr:nth-child(odd) {
  background-color: #ffffff;
  vertical-align: middle;
}

.x-datatable tbody tr:hover {
  background-color: #ffeeba;
}


.x-datatable2 {
    font-family: "Segoe UI", Arial, sans-serif;

    border-left: 1px solid #dee2e6;
    border-right: 1px solid #dee2e6;
    border-top: 1px solid #dee2e6;  
	--bs-table-bg: #ff000000;
}

.x-datatable2 th {
    font-size: 1rem;	
	color: #000000;
	font-weight: 400;
	border: 1px solid #4d4d4d;
}

.x-datatable2 td {
    font-size: 0.85rem;	
	color: #000000;
	font-weight: 500;
	border: 1px solid #4d4d4d;
}

.x-datatable2 td span{
  font-weight: 500;
  font-family: system-ui;
  font-size: 106%;
}


.x-datatable-no-border {
    font-family: "Segoe UI", Arial, sans-serif;
    border-left: 1px solid #dee2e6;
    border-right: 1px solid #dee2e6;
    border-top: 1px solid #dee2e6;  
	--bs-table-bg: #ff000000;
}

.x-datatable-no-border th {
    font-size: 1rem;	
	color: #000000;
	font-weight: 400;

}

.x-datatable-no-border td {
    font-size: 0.85rem;	
	color: #000000;
	font-weight: 500;
}

.x-datatable-no-border td span{
  font-weight: 500;
  font-family: system-ui;
  font-size: 106%;
}




.x-bold-text{
  font-weight: 500;
  font-family: system-ui;	
}

.ribbon {
    min-width: 100px;
    height: 35px;
    position: absolute;
    top: 9px;
    left: -5px;
    text-align: center;
    line-height: 35px;
    color: #fff;
    font-weight: bold;
    transform: rotate(360deg);
    box-shadow: 0 2px 6px rgb(0 0 0 / 28%);
    border-bottom-right-radius: 18px;
    border-start-end-radius: 18px;
}
.ribbon span {
  font-size: 14px;
  padding: 0px 10px;
} 

fieldset {
	padding: 1rem 1.5rem;
	margin: 0;	
    border: none;
    border-radius: 0.75rem;
   /* box-shadow: inset 0px 0px 0px 1px rgb(0 0 0 / 8%), 2px 4px 0px 0px rgba(0, 0, 0, 0.1);
    background: linear-gradient(137deg, #ffffff, #f9fafb);
	*/
	border: 1px solid #a9a9a9;
}

legend {
	font-size: 0.9rem;
	font-weight: 500;
	color: #0f4d6e;
	padding: 0 0.5rem;
	width: auto;
	float: none;
	font-size: 0.9rem;
}

.x-small{
   font-size: 0.7em!important;	
}

.progress-bar-custom {
  background: linear-gradient(to right, #9cc9a7 0%, #72af86 50%, #198754 100%);
}

.theme-text-dark{
    color: #0f4d6e;
}

.theme-gb-dark{
    color: #ffffff;
    background-color: #0f4d6e;
}

.theme-gb-dark:hover{
    color: #ffffff;
    background-color: #0f74a9;
}

.time{
    font-size: 0.70rem;
    float: right;
    color: #6d5920;	
	margin-top: 4px;
}

.font-size-78{
    font-size: 78%;
    padding-top: 3px;	
}

/*-------WhatsApp OTP---------------*/
	.otp-container-body {
		background-color: #f0f2f5;
		display: flex;
		justify-content: center;
		align-items: flex-start; /* Align to top of the screen */
		min-height: 100vh;
		padding-top: 2rem; /* Add padding from top for spacing */
	}
	.otp-container {
		background-color: #fff;
		padding: 2rem;
		border-radius: 10px;
		box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
		max-width: 400px;
		width: 100%;
	}
	.whatsapp-logo {
		width: 60px;
		margin-bottom: 1rem;
	}
	.otp-input {
		width: 3rem;
		height: 3rem;
		text-align: center;
		font-size: 1.5rem;
		margin: 0.5rem;
		border: 1px solid #ced4da;
		border-radius: 5px;
	}
	.otp-input:focus {
		border-color: #00a884;
		box-shadow: 0 0 0 0.2rem rgba(0, 168, 132, 0.25);
	}
	.btn-whatsapp {
		background-color: #00a884;
		border-color: #00a884;
	}
	.btn-whatsapp:hover {
		background-color: #008c6d;
		border-color: #008c6d;
	}
	.x-label{
		font-variant-caps: all-petite-caps;
	}
	
	.x-btn-outline-theme {
		color: #ffffff;
		background-color: #0f74a9;		
	}
	
	.x-btn-outline-theme:hover{
	  color: var(--bs-btn-hover-color);
	  background-color: var(--bs-btn-hover-bg);
	  border-color: #00000078;
	}
	
	.btn-card-close{
		position:absolute;
		top:8px;
		right:10px;
		font-size:18px;
		text-decoration:none;
		color:#000;
		cursor:pointer;		
	}
	
	.x-border{
        border: var(--bs-border-width) solid #aaaaaa;
		box-shadow: none;
		padding: 0.18rem 0.6rem!important;
	}